Qt 5.9 | Qt Charts | C++ Classes | QBoxPlotLegendMarker

Qt 5.9.9 Reference Documentation

# QBoxPlotLegendMarker Class

The QBoxPlotLegendMarker class is a legend marker for a box plot series. More...

Header: | #include <QBoxPlotLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBoxPlotLegendMarker()

## Reimplemented Public Functions

virtual QBoxPlotSeries * | series()
virtual LegendMarkerType | type()

- 16 public functions inherited from QLegendMarker

### Additional Inherited Members

- 7 properties inherited from QLegendMarker
- 9 signals inherited from QLegendMarker

## Detailed Description

The QBoxPlotLegendMarker class is a legend marker for a box plot series.

A box plot legend marker is related to a QBoxPlotSeries object.

See also QLegend and QBoxPlotSeries.

## Member Function Documentation

### `[virtual]` QBoxPlotLegendMarker::~QBoxPlotLegendMarker()

Removes the legend marker for a box plot series.

### `[virtual]` QBoxPlotSeries *QBoxPlotLegendMarker::series()

Reimplemented from QLegendMarker::series().

### `[virtual]` LegendMarkerType QBoxPlotLegendMarker::type()

Reimplemented from QLegendMarker::type().